# CHANGELOG
The format is based on [Keep a Changelog](https://keepachangelog.com/), and this project adheres to [Semantic Versioning](https://semver.org/).

## [2.16.0] - 2024-11-06
### Added
- IGNGPF-4046 the parameter 'process_extent' allows to disabled extent calculation after data integration

## [2.15.0] - 2024-09-24
### Changed
- IGNGPF-3112 remove indexes before inserting data and recreate indexes after (all in a single transaction)

## [2.14.0] - 2024-09-04
### Changed
- IGNGPF-4093 use psycopg param query to handle quotes in csv fields

## [2.13.0] - 2024-07-31
### Changed
- IGNGPF-4053 handle case where there is a dot `.` in gpkg layernames
- IGNGPF-4054 gitlab pypi job from template

## [2.12.0] - 2024-06-19
### Changed
- IGNGPF-3112 deactive index for insert data

## [2.11.0] - 2024-05-28
### Changed
- IGNGPF-3699 correcting get_schema_extent default SRID value

## [2.10.0] - 2024-05-15
### Changed
- IGNGPF-3103 up toolbelt to 1.9.0 : remove global_variables. Get database user/pass from environment variables

## [2.9.1] - 2024-04-22
### Fixed
- Increase max size for update and delete CSVs

## [2.9.0] - 2024-04-15
### Changed
- Add param "multigeom_layers" to force multigeom for shp files

## [2.8.2] - 2024-03-20
### Changed
- Do not change primary key for gpkg

## [2.8.1] - 2024-02-13
### Changed
- Update toolbelt with version 1.8.2

## [2.8.0] - 2024-01-19
### Changed
- Use new retrieve_input_files function from GPF toolbelt 1.8.1

## [2.7.2] - 2023-01-17
### Changed
- Update toolbelt with version 1.8.1

## [2.7.1] - 2023-01-08
### Changed
- Update toolbelt with version 1.7.2

## [2.7.0] - 2023-12-19
### Added
- Use Toolbelt 1.7.1 for filesystem storage

## [2.6.2] - 2023-11-30
### Added
- add environment variable `GPF_GDAL_CPL_DEBUG` to enable GDAL's `CPL_DEBUG` option

### Changed
- improved requirements loading
- packaging: rollback user to root since NFS is not accessible to other users

## [2.6.1] - 2023-11-29
### Added
- Set gdal option PG_COPY=TRUE to optimise vector layer integration
- Add some user logs to mark out the process

### Changed
- Update toolbelt with version 1.6.*
- Disable gdal 'Warning 6'
- Packaging : use pg C headers defined in toolbelt
- SQL : put quotes to tablenames
- Code refactoring : rename some variables and fix run output

## [2.6.0] - 2023-11-27
### Added
- les messages de logs sont désormais plus explicites

### Changed
- refactorisation pour l'amélioration globale de la qualité du code (docstrings, code mort...)
- Mise à jour de la version de GDAL (3.7.3)
- Mise à jour des dépendances et de l'outillage

## [2.5.0] - 2023-10-11
### Added
- Ajout de la gestion des fichiers de suppression et de modification

## [2.4.5] - 2023-10-11
- fix IGNGPF-2656 Set size to 0 if table size return None value

## [2.4.4] - 2023-08-30
### Changed
- fix IGNGPF-2443 : clarify with a log message when a dbf file is ignored

## [2.4.3] - 2023-08-02
- Improve log messages and docstrings

## [2.4.2] - 2023-07-27
- update toolbelt for better S3 support

## [2.4.1] - 2023-07-24
### Changed
- Differentiate FAILURE from TECHNICAL ERROR status
- Improve error user logs in this respect

## [2.4.0] - 2023-07-17
- Mise a jour de la toolbelt à la version 1.3.*
- Utilisation de la fonction SQL IGN_extent pour le calcul des extents complexes
- Ajout des types de champs dans la description de la stored_data d'output

## [2.3.2] - 2023-07-11
- fix IGNGPF-2179 : les identifiants de connection n'étaient pas repris depuis le fichier de paramètre

## [2.3.1] - 2023-07-10
- Publie sur le Harbor (Docker template v5)
- MAJ la doc

## [2.3.0] - 2023-07-05
- Augmente la verbosité des logs (attention, tous les messages ont désormais le niveau warning, y compris ceux en INFO)
- Corrige quelques anomalies mineures
- Factorisation de certaines fonctions

## [2.2.1] - 2023-05-22
- Ajout des fonctionnalités GPU

## [2.1.1] - 2023-05-11
- Fix reprojection bug in V2

## [2.1.0] - 2023-04-21
- Prise en compte des vues dans la description d'une donnée VECTOR-DB
- Non ajout d'une clé primaire dans le cas d'une injection
- Intégration des données directement dans le schéma final dans le cas d'une génération
- Gestion du cas de nom de fichier en majuscule

## [2.0.0] - 2023-04-21
### Added
- update gpf-entrepot-toolbelt to 0.18.*
- update use of input parameters.json file for V2 model
- remove use of upload dir : upload data must be downloaded from S3
- add download of upload data with S3 client from gpf-entrepot-toolbelt (use of environnement variables)

### Changed
- remove unused code because of gpf-entrepot-toolbelt use (database related code)
- refactor tests to use pytest instead of autotest.sh scripts
- set Python 3.10 as minimum version

## [1.1.1] - 2023-05-11
- Fix reprojection bug

## [1.1.0] - 2023-04-21
- Backport 2.1.0 in R1

## [1.0.2] - 2023-04-06
### Added
- add relation type in output/stored_data

### Changed
- Fix: reproject extent to EPSG:4326

## [1.0.0] - 2023-04-06
- Bad version, do not use

## [0.10.1] - 2023-08-03
- Fix: allow SRS to be different, layers will be reprojected.

## [0.10.0] - 2023-08-03
- Fix: add SQL support
- Fix: use SRS from parameters.json

## [0.9.2] - 2023-03-03
- Fix: typo in output

## [0.9.1] - 2023-03-02
- Fix Output format

## [0.9.0] - 2023-03-02
- Gestion des extents normalisées

## [0.8.1] - 2023-03-01
- fix requirements

## [0.8.0] - 2023-03-01
- Use gpf_toolbelt 0.11
- New output format

## [0.7.0] - 2023-02-07
- Refacto to use the Toolbelt instead of local code

## [0.6.0] - 2023-02-06
- Fix SRID Output

## [0.5.0] - 2023-01-06
- Fix JSON Output
- Remove Debug flag and some TODO

## [0.4.0] - 2022-12-21
- Fix returns
- Refacto
- Add more tests

## [0.3.0] - 2022-12-15
- Add SRS support
- Fix circular dependency betweenn utils/string and logger
- Add utility tool to list gis files
- Fix schema_name using _id
- Fix ERROR status: TECHNICAL_ERROR instead of ERROR
- Fix CSV: remove geometry columns
- Fix extent: return extent to EPSG:4326

## [0.2.0] - 2022-12-08
- Complete feature perimeter
- Fix CI/CD
- Apply common modules from check-md5
- Refactor tests and documention

## [0.1.0] - 2022-11-16
- First functional version
- Unit tests and coverage
- Packaging with pip
- Documentation
- Tooling : formatter, guidelines, git-hooks, linter...

[2.16.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.15.0...v2.16.0
[2.15.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.14.0...v2.15.0
[2.14.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.13.0...v2.14.0
[2.13.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.12.0...v2.13.0
[2.12.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.11.0...v2.12.0
[2.11.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.10.0...v2.11.0
[2.10.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.9.1...v2.10.0
[2.9.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.9.0...v2.9.1
[2.9.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.8.2...v2.9.0
[2.8.2]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.8.1...v2.8.2
[2.8.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.8.0...v2.8.1
[2.8.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.7.2...v2.8.0
[2.7.2]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.7.1...v2.7.2
[2.7.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.7.0...v2.7.1
[2.7.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.6.2...v2.7.0
[2.6.2]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.6.1...v2.6.2
[2.6.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.6.0...v2.6.1
[2.6.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.5.0...v2.6.0
[2.5.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.4.5...v2.5.0
[2.4.5]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.4.4...v2.4.5
[2.4.4]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.4.3...v2.4.4
[2.4.3]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.4.2...v2.4.3
[2.4.2]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.4.1...v2.4.2
[2.4.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.4.0...v2.4.1
[2.4.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.3.2...v2.4.0
[2.3.2]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.3.1...v2.3.2
[2.3.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.3.0...v2.3.1
[2.3.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.2.1...v2.3.0
[2.2.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.1.1...v2.2.1
[2.1.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.1.0...v2.1.1
[2.1.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v2.0.0...v2.1.0
[2.0.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v1.1.1...v2.0.0
[1.1.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v1.1.0...v1.1.1
[1.1.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v1.0.2...v1.1.0
[1.0.2]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v1.0.0...v1.0.2
[1.0.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.10.1...v1.0.0
[0.10.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.10.0...v0.10.1
[0.10.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.9.2...v0.10.0
[0.9.2]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.9.1...v0.9.2
[0.9.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.9.0...v0.9.1
[0.9.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.8.1...v0.9.0
[0.8.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.8.0...v0.8.1
[0.8.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.7.0...v0.8.0
[0.7.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.6.0...v0.7.0
[0.6.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.5.0...v0.6.0
[0.5.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.4.0...v0.5.0
[0.4.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.3.0...v0.4.0
[0.3.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.2.0...v0.3.0
[0.2.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/compare/v0.1.0...v0.2.0
[0.1.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/traitements-vecteurs/livraison-to-bdd/-/tags/v0.1.0
