# Authentification

Le projet est publié sur le registre privé de l'Usine Logicielle (GitLab).  
De plus, il dépend d'autres packages publiés sur le même registre.

Pour y accéder, installer ou publier, il faut donc disposer d'un jeton d'authentification (_token_) qui est passé dans les différentes requêtes HTTP/S en remplacement du mot de passe et qui bénéficie de droits délimités.

## Créer un jeton d'authentification

1. Se rendre dans [la section dédiée de son profil GitLab](https://gitlab.gpf-tech.ign.fr/-/profile/personal_access_tokens)
1. Créer un jeton avec les droits (~ _scope_) requis. Dans le doute, cocher `api` mais il faudra alors être prudent/e car il s'agit du niveau maximum.
1. Stocker le nom et la valeur du jeton bien au chaud dans un gestionnaire de mots de passe ~~ou sur un post-it derrière soi~~

Exemple pour un jeton ayant accès en lecture/écriture sur le registre des packages, requis pour l'installation et la publication du projet :

![Jeton d'authentification pour accéder au registre des packages GitLab](/static/gitlab_personal_access_token_registry.png)

### Stocker les identifiants de manière sécurisée

Installer [keyring](https://pypi.org/project/keyring/) pour interagir avec le trousseau système, si possible dans un environnement virtuel :

```sh
python3 -m pip install -U keyring
```

Par exemple, si le token est nommé `registry` :

```sh
> keyring set https://gitlab.gpf-tech.ign.fr/api/v4/groups/55/-/packages/pypi/ registry
Password for 'registry' in 'https://gitlab.gpf-tech.ign.fr/api/v4/groups/55/-/packages/pypi/':
```

A l'invite, entrer la valeur du jeton (_token_).
