# Utilisation en ligne de commande

Une fois l'outil installé, il est appelable en ligne de commande : *{{ cli_name }}*.

## Fonctionnement général

{{ cli_usage }}

```{sphinx_argparse_cli}
  :module: gpf_vector_to_db.cli
  :hook:
  :func: main
  :prog: gpf-vector-to-database
  :title: Commandes et options
```

----

## Variables d'environnement

### Génériques

| Nom de la variable                 |    Argument CLI correspondant    | Valeur par défaut |
|:-----------------------------------|:--------------------------------:|:-----------------:|
| `GPF_INPUT_CONFIGURATION_FILENAME` | `--input-configuration-filename` | `parameters.json` |
| `GPF_WORK_DIR`                     |        `--work-dir-path`         |                   |
| `GPF_S3_URL`                       |            `--s3-url`            |        ``         |
| `GPF_S3_KEY`                       |            `--s3-key`            |      `admin`      |
| `GPF_S3_SECRETKEY`                 |        `--s3-secret-key`         |   `minioadmin`    |
| `GPF_S3_REGION`                    |          `--s3-region`           |    `eu-west-3`    |
| `GPF_LOG_DEBUG`                    |                                  |    `WARNING`      |

### Spécifiques

| Nom de la variable   | Argument CLI correspondant | Valeur par défaut | Description |
| :------------------- | :------------------------: | :---------------: | :---------- |
| `PROCESSING_TYPE`    | `--processing-type`        | None              | |
| `GPF_GDAL_CPL_DEBUG` |                            |    `OFF`          | Active l'option `CPL_DEBUG=ON` de GDAL. Voir [la documentation de GDAL](https://gdal.org/user/configoptions.html#logging). |
