# Installation

Il est possible d'installer le projet de deux façon différentes, en plus de [celle du mode développement](development/setup).

## Pip

### Prérequis

- Python >= 3.10
- Accès réseau sur:
  - l'instance GitLab : <https://gitlab.gpf-tech.ign.fr>
  - le dépôt officiel de paquets Python : <https://pypi.org/>
- un [jeton d'accès personnel ou Personal Access Token (PAT)](https://gitlab.gpf-tech.ign.fr/-/profile/personal_access_tokens) avec le scope `read_api`

### Installer

Dans les commandes suivantes, remplacer :

- `<personal_access_token_name>` avec le nom de votre jeton (PAT). Exemple : `oche`
- `<personal_access_token_value>` avec la valeur de votre jeton (PAT). Exemple : `aBcdEfghIJKLMNoP9R7s`

```sh
# Windows: py -3
python3 -m pip install -U gpf-vector-to-db --index-url https://<personal_access_token_name>:<your_personal_token>@gitlab.gpf-tech.ign.fr/api/v4/groups/55/-/packages/pypi/simple
```

#### Derrière un proxy

Pour les proxy de type socks, installer :

```sh
python3 -m pip install -U "PySocks<2"
```

Puis ajouter l'URL du proxy en option :

```sh
# Windows: py -3
python3 -m pip install -U gpf-vector-to-db --index-url https://<personal_access_token_name>:<your_personal_token>@gitlab.gpf-tech.ign.fr/api/v4/groups/55/-/packages/pypi/simple --proxy socks5://localhost:8645
```

:::{note}
Nous utilisons ici l'identifiant du groupe `geoplateforme` (`55`). Cet identifiant est visible sous le nom, sur [la page du groupe](https://gitlab.gpf-tech.ign.fr/geoplateforme).  
Il est aussi possible d'utiliser le [registre lié au projet](https://gitlab.gpf-tech.ign.fr/geoplateforme/scripts-verification/check-md5/-/packages) où des instructions détaillées sont fournies au clic sur le package :

![Détails d'un package sur le registre GitLab](/static/gitlab_package_registry_project_sample_details.png)
:::

----

## Docker

:::{note}
L'image est configurée à des fins d'**utilisation** et non à des fins de développement.  
A ce titre l'image ne contient que le code source et le nécessaire pour installer le programme. Donc, il n'y a pas les dossiers `docs`, `tests`, etc.

Si besoin, ajuster le fichier `.dockerignore`.
:::

### Prérequis

- Docker >= 20.10

### Builder l'image

```sh
docker build --pull --rm -f "Dockerfile" -t gpf-vector-to-database "."
```

### Exécuter l'image dans un conteneur

Entrer dans le conteneur et exécuter des commandes de façon interactive :

```sh
> docker run --rm -it gpf-vector-to-database:latest
root@55c5de0191ee:/user/app# gpf-vector-to-db --version
0.2.0
```

Exécuter le programme dans le conteneur :

```sh
> docker run --rm gpf-vector-to-database:latest gpf-vector-to-db --version
0.2.0
```
