-- ==========================================================================
-- =============== DU & COMMUNES 3.0                                =========
-- ==========================================================================

CREATE TABLE info_surf
(
  gid serial NOT NULL,
  gpu_doc_id character varying(32),
  gpu_status character varying(16),
  gpu_timestamp timestamp without time zone,
  partition character varying(32),
  libelle character varying(254),
  txt character varying(10),
  typeinf character varying(2),
  typep character varying(2),
  nomfic character varying(80),
  urlfic character varying(254),
  insee character varying(5),
  idurba character varying(30),
  datvalid character varying(10),
  stypeinf character varying(2),
  stypep character varying(2),
  idinfo character varying(40),
  lib_idinfo character varying(40),
  CONSTRAINT info_surf_pkey PRIMARY KEY (gid)
) ;

SELECT addGeometryColumn('', 'info_surf', 'the_geom', 4326, 'GEOMETRY', 2, true) ;

CREATE INDEX info_surf_geom_gist
  ON info_surf
  USING GIST (the_geom) ;


----------------------------------------------------------
-- PRESCRIPTION ------------------------------------------
----------------------------------------------------------


CREATE TABLE prescription_pct
(
  gid serial NOT NULL,
  gpu_doc_id character varying(32),
  gpu_status character varying(16),
  gpu_timestamp timestamp without time zone,
  partition character varying(32),
  libelle character varying(254),
  txt character varying(10),
  typepsc character varying(2),
  nomfic character varying(80),
  urlfic character varying(254),
  insee character varying(5),
  angle integer,
  datappro character varying(10),
  datvalid character varying(10),
  idurba character varying(30),
  stypepsc character varying(2),
  idpsc character varying(40),
  lib_idpsc character varying(40),
  CONSTRAINT prescription_pct_pkey PRIMARY KEY (gid)
) ;

SELECT addGeometryColumn('', 'prescription_pct', 'the_geom', 4326, 'GEOMETRY', 2, true) ;

CREATE INDEX prescription_pct_geom_gist
  ON prescription_pct
  USING GIST (the_geom) ;
